class WelcomeController < ApplicationController

  def index
    @Carousel = Array.new
    @General = Array.new
    mainPage = repository.for(:mainPage).find_all.first

    @Carousel = mainPage["carousel"].collect do |id|
      repository.for(:webLink).find_by_id(id)[0] #orientdb returns a hash inside an array, I want only the hash
    end

    @General = mainPage["highlights"].collect do |id|
      repository.for(:learning_object).find(id)
    end

    @Subjects = repository.for(:subject).find_all.take(8)
    @Subjects.delete_if do |subject|
      if subject['highlights'].nil? || subject['highlights'].empty?
        true
      end
    end
    @Subjects.each do |subject|
      object = repository.for(:learning_object).find(subject['highlights'].first)
      subject['first_highlight'] = object
    end

  end

  def faq
  end

  def contact
  end
end
