module OrientDb
  module Methods
    module EdgeMethods

      ##
      # Count the number of edges existent
      def get_in_edges_count(edge_class, id)
        result = connection.query "SELECT in('#{edge_class}').size() AS COUNT FROM #{id}"
        result.first["COUNT"].to_i
      end

      def create_edge(edge_class, from_id, to_id)
        connection.command "CREATE EDGE #{edge_class} FROM #{from_id} TO #{to_id}"
      end

    end
  end
end
