##
# This class keep all migrations of orient db and execute them.
class OrientDb::Migrations
  attr_accessor :migrations

  def initialize(client)
    @migrations = []
    @migrations << CreateCountry.new(client)
    @migrations << CreateHighlight.new(client)
    @migrations << CreateUniversity.new(client)
    @migrations << CreateUser.new(client)
    @migrations << CreateMainpage.new(client)
  end

  ##
  # Execute all migrations
  def run
    @migrations.each { |m| m.up }
  end
end